Subject: Bug#928029: planner: segfaulted; now segfaults on every start-up

From: Bill Wohler <[email-masked]>
Date: Thu, 16 Jul 2020 07:20:49 -0700

I fired up planner 0.14.6-7 for the first time since my buster update
and this same issue is happening constantly.

I think you should be able to reproduce it reliably by moving the window
to the upper left-hand corner for example and resizing the lower
right-hand corner to the lower right-hand corner of your desktop. If it
hasn't crashed already, while still resizing, move the mouse in circles.

In the meantime, I'm avoiding resizing the window and saving every time
I make a change and running planner in a while loop in the shell to make
the program somewhat usable.

Yavor Doganov <[email-masked]> wrote:

> Reply-To: Yavor Doganov <[email-masked]>, [email-masked]
> Date: Sat, 27 Apr 2019 09:07:03 +0300
> To: Jonathan Dowland <[email-masked]>,
> 	[email-masked]
>
> Jonathan Dowland wrote:
> > Package: planner
> > Version: 0.14.6-7
> > Severity: important
> > 
> > planner segfaulted me shortly after starting it for the first time
> > (upon inserting a new task); now, it segfaults upon each attempt to
> > start it.
> Thanks for the report; unfortunately I cannot reproduce it.  And
> that's an abort, not segfault.  Could you please run the planner
> executable in gdb with --g-fatal-warnings?

-- 
Bill Wohler <[email-masked]> aka <[email-masked]>
http://www.newt.com/wohler/, GnuPG ID:610BD9AD